diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 85c703e2..810ae7c9 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1883,7 +1883,9 @@ define([
           this.sqlCtrl.setValue('-- ' + gettext('No updates.'));
         }
         this.sqlCtrl.refresh.apply(this.sqlCtrl);
+
       }
+      this.setCodeMirrorHeight(obj);
     },
     onPanelResized: function(o) {
       if (o && o.container) {
@@ -1914,6 +1916,20 @@ define([
 
       Backform.Control.__super__.remove.apply(this, arguments);
     },
+    setCodeMirrorHeight: function(obj) {
+      // Fix for mac os code-mirror showing black screen.
+      var $tabContent = $(
+          '.backform-tab > .tab-content').first(),
+        $sqlPane = $tabContent.find(
+          'div[role=tabpanel].tab-pane.' + obj.tab.innerText
+        );
+      if ($sqlPane.hasClass('active')) {
+        $sqlPane.find('.CodeMirror').css(
+          'cssText',
+          'height: ' + ($tabContent.height() + 8) + 'px !important;'
+        );
+      }
+    }
   });
   /*
    * Numeric input Control functionality just like backgrid
